﻿<?php
/**
 * Project  	SMS Newsletter by ippanel
 * Release    	1.0.0
 * @package		SMS Newsletter
 * @subpackage	Subscription Module
 * @version		$Id$
 * @author		ippanel Informatics Ltd.
 * @link 		http://www.ippanel.com
 * @copyright	Copyright (c) 2000-2010 ippanel Informatics Ltd. - All rights reserved
 * @license		http://www.gnu.org/copyleft/gpl.html GNU/GPL
 */

/*
 *
 * This module provides the subscription functionality for 
 * the SMS Newsletter component. The users can subscribe 
 * to / or unsubscribe from the newsletter with this module. 
 *
 */


// no direct access
defined('_JEXEC') or die('Restricted access');

class modippanelNotificationHelper
{

    //This function checks if the user is already subscribed
    function ippanelCheckStatus($phonenum){
        global $mainframe;
        $database=& JFactory::getDBO();
        $q = 'SELECT `status` FROM `#__ippanel_subscriptions` WHERE  phone_number = \'' . $phonenum . '\'';
        $database->setQuery( $q );

        if (!($database->loadResult())){
            return true; //returns true if the user can subscribe
        }
        else
            if (($database->loadResult()) == 'unsubscribed')
                return true;
            elseif (($database->loadResult()) == 'subscribed')
                return false; //returns false if the user is already subscribed
    }

    function ippanelNewsletterSubscribe($phonenum){
        global $mainframe;

        $database=& JFactory::getDBO();
        $q = 'SELECT `status` FROM `#__ippanel_subscriptions` WHERE  phone_number = \'' . $phonenum . '\'';
        $database->setQuery( $q );
        if (!($database->loadResult())){ //if the phone number is not yet in the database
            $query = 'INSERT INTO `#__ippanel_subscriptions`(`phone_number` , `status`) VALUES (\'' . $phonenum . '\' , \'subscribed\')';
            $database->setQuery($query);
            $database->query();
        }
        elseif (($database->loadResult()) == unsubscribed){ //if the phone number is in the database, but unsubscribed
            $query = 'UPDATE `#__ippanel_subscriptions` SET `status` = \'subscribed\' WHERE phone_number = \'' . $phonenum . '\';';
            $database->setQuery($query);
            $database->query();
        }
        echo 'از این که در خبرنامه پیامکی ما عضو شدید سپاس گزاریم';
    }

    function ippanelNewsletterUnsubscribe($phonenum){
        global $mainframe;
        $database=& JFactory::getDBO();
        $query = 'UPDATE `#__ippanel_subscriptions` SET `status` = \'unsubscribed\' WHERE phone_number = \'' . $phonenum . '\';';
        $database->setQuery($query);
        $database->query();
        echo 'عضویت شما در خبرنامه پیامکی ما لغو شد';

    }

    function ippanelSendSMS($phone, $msg, $params){
        ini_set("soap.wsdl_cache_enabled", "0");
        $ippanel_num = $params->get('ippanel_number');
        $ippanel_user = $params->get('ippanel_user');
        $ippanel_password = $params->get('ippanel_password');
        $client = new SoapClient('http://37.130.202.188/class/sms/wsdlservice/server.php?wsdl');
        $client->soap_defencoding = 'UTF-8';
        $client->decode_utf8 = true;
        $op  = "send";
        $time = '';
        try {
            $gatewayResult = $client->SendSMS($ippanel_num, array($phone), $msg, $ippanel_user, $ippanel_password, $time, $op);
        }catch(Exception $ex) {
            var_dump($ex->faultstring);
        }
        return  $gatewayResult;
    }
}